Bug 183213 - satellite-sync incorrectly says that channels are end-of-service when importing channel dumps
satellite-sync incorrectly says that channels are end-of-service when importi...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Network
Classification: Red Hat
Component: RHN/Backend (Show other bugs)
rhn410
All Linux
medium Severity medium
: ---
: ---
Assigned To: John Wregglesworth
Clifford Perry
:
Depends On:
Blocks: 171832
  Show dependency treegraph
 
Reported: 2006-02-27 10:10 EST by John Wregglesworth
Modified: 2007-04-18 13:38 EDT (History)
2 users (show)

See Also:
Fixed In Version: rhn410
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-19 19:23:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Wregglesworth 2006-02-27 10:10:43 EST
Description of problem: When importing some channel dumps from a directory,
satellite-sync will mark the channels *not* in the dump as end-of-service even
though they're not. For example, download and prepare the first channel dump iso
for the ppc version of RHEL 3 and do a --list-channels against the directory. It
will list RHEL 4 as being end-of-service when it's not. If you place the dumped
file for the ppc version of RHEL 4 into directory you placed RHEL 3 into and
rerun satellite-sync with --list-channels, it no longer lists the channels as
end-of-service.  

It looks as though the logic that controls whether a channel is considered to be
end-of-service is in the compute method of the RequestedChannels class in
req_channels.py.
Comment 1 Bret McMillan 2006-02-27 11:43:43 EST
So this is only when importing channel dumps from the filesystem, and only when
the expected channels don't exist in that directory?

Basically trying to understand if this is serious enough to warrant blocking 406...

Moving to rhn410-must in the interim.
Comment 2 John Wregglesworth 2006-02-27 11:58:04 EST
Yep, seems to only be a problem when importing channel dumps from the
filesystem. When I doing a regular --list-channels against hosted the RHEL 4
channels are not marked end-of-service.
Comment 3 John Wregglesworth 2006-03-06 12:38:43 EST
Fixed in svn.

I changed satellite-sync to not list the end-of-service channel when the
--mount-point option is being used.

Test Plan:

1. On a satellite, wget/curl a channel dump and mount the iso.

2. Sync another channel not included in the channel dump.

      satellite-sync -c<channel-label>

3. Use satellite-sync to list the channels included in the channel dump. It
should not list the channel you synced in step 2 as end-of-service.
 
      satellite-sync --list-channels --mount-point=<channel-dump-directory>
Comment 4 John Wregglesworth 2006-04-11 10:35:47 EDT
Changing state to ON_QA after QA push.
Comment 7 Beth Nackashi 2006-07-19 19:23:56 EDT
closing - currentrelease

Note You need to log in before you can comment on or make changes to this bug.